<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++ Members: Show All Members: Filtered Members: Filtered Members: Filtered

Berkeley DB .NET API Documentation
SequenceConfig Members
SequenceConfig Class Constructors Methods Fields Properties See Also Send Feedback

The SequenceConfig type exposes the following members.

# Constructors

| Name | Description
--- | --- | ---
| SequenceConfig | Initializes a new instance of the SequenceConfig class

# Methods

| Name | Description
--- | --- | ---
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| SetRange | Set the minimum and maximum values in the sequence.
| ToString | Returns a String that represents the current Object. (Inherited from Object.)

# Fields

| Name | Description
--- | --- | ---
| BackingDatabase | An open database which holds the persistent data for the sequence.
| Creation | The policy for how to handle sequence creation.
| FreeThreaded | If true, the object returned by the Sequence constructor is free-threaded; usable by multiple threads within a single address space. If multiple threads create multiple sequences using the same BackingDatabase, that database must have also been opened free-threaded.
| key | The record in the database that stores the persistent sequence data.
| Wrap | If true, the sequence should wrap around when it is incremented (decremented) past the specified maximum (minimum) value.

# Properties

| Name | Description
--- | --- | ---
| CacheSize | The number of elements cached by a sequence handle.
| Decrement | If true, the sequence is decremented.
| Increment | If true, the sequence is incremented. This is the default.
| InitialValue | The initial value for a sequence.
| Max | The maximum value in the sequence.
| Min | The minimum value in the sequence.

# See Also

SequenceConfig Class
BerkeleyDB Namespace